| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Attributes | List of all members
Tp::PendingTextMessage Struct Reference
Types and constants » Structure types

`#include <TelepathyQt/Types>`

## Public Attributes

uint | identifier
uint | unixTimestamp
uint | sender
uint | messageType
uint | flags
QString | text

## Detailed Description

Structure type generated from the specification.

A struct (message ID, timestamp in seconds since 1970-01-01 00:00 UTC, sender's handle, message type, flags, text) representing a pending text message, as returned by ListPendingMessages. The arguments of the Received signal also match this struct's signature.

## Member Data Documentation

## § identifier

uint Tp::PendingTextMessage::identifier

## § unixTimestamp

uint Tp::PendingTextMessage::unixTimestamp

## § sender

uint Tp::PendingTextMessage::sender

## § messageType

uint Tp::PendingTextMessage::messageType

## § flags

uint Tp::PendingTextMessage::flags

## § text

QString Tp::PendingTextMessage::text